package org.seasar.jsf.runtime;

import org.seasar.jsf.TagConfig;

/**
 * @author higa
 *  
 */
public class TagConfigImpl implements TagConfig {

	private String name;

	private Class tagClass;

	public TagConfigImpl() {
	}

	/**
	 * @see org.seasar.maya.config.TagConfig#getName()
	 */
	public String getName() {
		return name;
	}

	/**
	 * @see org.seasar.maya.config.TagConfig#setName(java.lang.String)
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @see org.seasar.maya.config.TagConfig#getTagClass()
	 */
	public Class getTagClass() {
		return tagClass;
	}

	/**
	 * @see org.seasar.maya.config.TagConfig#setTagClass(java.lang.Class)
	 */
	public void setTagClass(Class tagClass) {
		this.tagClass = tagClass;
	}
}